/**
 * A Processing sketch to create interactive projection mapping.
 * This sketch is dedicated to the tutorial on https://playground.tajnyprojekt.com
 *
 * @author Michał Urbański (tajnyprojekt.com)
 * MIT license
 * 2020
 */
 
Mapper mapper;
PGraphics textures[] = new PGraphics[Mapper.FIG_NUM];

void setup() {
  fullScreen(P2D, 2); 
  
  textureMode(NORMAL);
  mapper = new Mapper();
  mapper.isEditing = false;
  for (int f = 0; f < Mapper.FIG_NUM; f++) {
    textures[f] = createGraphics(200, 200, P2D);
    textures[f].beginDraw();
    textures[f].background(f * 30 + 40);
    textures[f].endDraw();
  }
}

void draw() {
  background(0);
  
  mapper.drawContent(textures);
  mapper.drawGUI();
  
}

void keyPressed() {
 mapper.onKeyPressed();
}

void keyReleased() {
  mapper.onKeyReleased();
}

void mousePressed() {
  mapper.onMousePressed();
}

void mouseReleased() {
  mapper.onMouseReleased();
}